Package ru.bitel.bgbilling.modules.npay.common.bean

# Class ServiceObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.npay.common.bean.ServiceObject

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ServiceObject extends Id implements Serializable
Абонплата пользователя

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ServiceObject.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `objTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServiceObject.Builder`
  `builder()`
  `ServiceObject`
  `clone()`
  `static ServiceObject.Builder`
  `copy(ServiceObject serviceObject)`
  `BigDecimal`
  `getCol()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `BigDecimal`
  `getCost()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getEntityId()`
  `int`
  `getEntityMid()`
  `LocalDateTime`
  `getLastUpdate()`
  `int`
  `getObjectId()`
  `String`
  `getObjectTitle()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `int`
  `getUserId()`
  `void`
  `setCol(BigDecimal col)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setDate1(Date serviceDate1)`
  `void`
  `setDate2(Date serviceDate2)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setEntityMid(int entityMid)`
  `void`
  `setLastUpdate(LocalDateTime lastUpdate)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setObjectTitle(String objectTitle)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setServiceTitle(String serviceTitle)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### objTitle

    public String objTitle

- ## Constructor Details

  - ### ServiceObject

    public ServiceObject()

- ## Method Details

  - ### getObjectTitle

    public String getObjectTitle()

  - ### setObjectTitle

    public void setObjectTitle(String objectTitle)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date serviceDate1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date serviceDate2)

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle(String serviceTitle)

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### getCol

    public BigDecimal getCol()

  - ### setCol

    public void setCol(BigDecimal col)

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### getEntityMid

    public int getEntityMid()

  - ### setEntityMid

    public void setEntityMid(int entityMid)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getLastUpdate

    public LocalDateTime getLastUpdate()

  - ### setLastUpdate

    public void setLastUpdate(LocalDateTime lastUpdate)

  - ### clone

    public ServiceObject clone()
    Overrides:
      `clone` in class `Object`

  - ### builder

    public static ServiceObject.Builder builder()

  - ### copy

    public static ServiceObject.Builder copy(ServiceObject serviceObject)